<?php
session_start();

require_once 'SisNotasSQL.php';
require_once 'conexao.php';
require_once 'RemotoInterno.php';
require_once '../gerador/SqlServer.php';
require_once 'conexaoSQL.php';
require_once '../gerador/MysqlConsulta.php';

$MysqlConsulta = new MysqlConsulta;
$sqlServer = new Sqlserver;
$RemotoInteno = new RemotoInterno();
$mysql = new SisNotasSQL();

$usuario = $_SESSION['usuario'];

$status = 'Pendente';

$id = $_GET['id'];
$fornecedor = $_GET['fornecedor'];
$datapedido = $_GET['data'];
$fabricante =  $_GET['fabricante'];
$observacaoRecebida = $_GET['observacao'];
$observacao = str_replace("#~", "", $observacaoRecebida);
$valor = ROUND($_GET['valor'],2);
$loja = $_GET['loja'];

$datainicio = $_GET['inicio'];
$datafinal = $_GET['final'];

if (isset($_GET['mensagem'])){

    $mensagemGravar = $_GET['mensagem'];
}







//se vieram varios fabricante do softcom precisamos retirar os digitos que separam os fabricantes
$novoFabricante = str_replace("','", " ", $fabricante);

//echo $fornecedor,$datapedido,$fabricante,$observacao,$loja,$status,$valor;

$loja = $RemotoInteno->TransformarLojaSoftcomParaRemoto($loja);

if(isset($mensagemGravar)){

    
    $mensagemGravar = 2;
    
    $MysqlConsulta->cadatrarMensagem($conexao, $id,$usuario);

}else{

    $mensagemGravar = 10;
}

//$sqlServer->atualizarObservacaoPedido($id);

$mysql->cadastrarPedidoSoft($conexao,$id);

$mysql->cadastrarPedidoNovo($conexao,$fornecedor,$datapedido,$novoFabricante,$observacao,$loja,$status,$valor,$id,$mensagemGravar);

header("Location: ../importarSoftcom.php?datainicio=$datainicio&datafinal=$datafinal");

